
/* operation mode and flags */
#define GB_IDLE		0	/* idle */
#define GB_NCNT		1	/* non-controller */
#define GB_CNTR		2	/* non-system controller */
#define GB_SCNT		3	/* system controller */
#define GB_LONY		4	/* lsten only */
#define GB_TOLY		5	/* talk only */

/* wait() function status bits */
#define GBR_REQCNT	0x01	/* device_read reason REQCNT bit */
#define GBR_CHR		0x02	/* device_read reason CHR bit */
#define GBR_END		0x04	/* device_read reason END bit */
#define GBI_SRQ		0x40	/* this library dependent */

/* library funcyion prototypes */
int gbopn(char *host);
int gbcmod(int mode);
int gbcls(void);
int gblost(int time);
int gbwrt(int ad, char *buf, int cnt, int del);
int gbred(int ad, char *buf, int cnt, int del);
int gbspol(int ad);
int gbtrg(int ad);
int gbclr(int ad);
int gblcl(int ad);
int gbwait(int mask);
int gbabort(int ad);
int gbrqs(int stb);

/* Agilent E5810 libraly compatible functions */
int gblock(int ad);
int gbunlock(int ad);
int gblost2(int time1, int time2);
int gbrmt(int ad);
void gbint(void *);


/* INTEX 207X GPIB library compatible functions */
int gbifc(void);
int gbren(int f);
int gblst(int time);
int issrq(void *);

/* INTEX 207X GPIB library compatible dummy functions */
int gbadr(int ad);
int gbmsg(char *msg);
int gbppol(void);
int gbppc(int ad, int data);
int gbppu(int ad);
